## vlc 0.8.4

=== bindings/python/Makefile ===
ifdef HOMEDRIVE
	COMPILERARG = --compiler=mingw32
else
	COMPILERARG = 
endif

all:
	python setup.py build $(COMPILERARG)

install:
	python setup.py install

clean:
	$(RM) -rf build

=== doc/developer/Makefile ===
# Makefile for VideoLAN Doc
#  Clment Stenac
#  Anil Daoud

XSLTPROC=xsltproc
LYNX=lynx
JADE=jade

XML_DECL := /usr/share/sgml/declaration/xml.decl
XSL_CHUNK = videolan-doc-chunk.xsl
XSL = videolan-doc.xsl
XSL_TXT = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/xhtml/html.xsl

all: manual

manual: manual.html all-html manual.pdf manual.txt

# HTML
all-html: *.xml
	xsltproc $(XSL_CHUNK) manual.xml
	mv *.html html

manual.html: *.xml
	xsltproc $(XSL) manual.xml > manual.html

# PDF
manual.pdf: *.xml
	jade -t tex -d stylesheet-print-noicones.dsl -o manual.tex $(XML_DECL) manual.xml
	pdfjadetex manual.tex
	pdfjadetex manual.tex
	pdfjadetex manual.tex
	rm -f *.tex *.out *.aux *.log
	
# TXT
manual.txt:  *.xml
	xsltproc $(XSL_TXT) manual.xml > manual.txt

clean:
	rm -f manual.txt manual.pdf
	rm -f *.html *.aux *.log *.tex *.out
	rm -f html/*.html

=== extras/contrib/Makefile ===
# ***************************************************************************
# Makefile : Build vlc-contrib files
# ***************************************************************************
# Copyright (C) 2003-2005 the VideoLAN team
# $Id: Makefile 12879 2005-10-18 21:02:04Z fkuehne $
# 
# Authors: Christophe Massiot <massiot@via.ecp.fr>
#          Derk-Jan Hartman <hartman at videolan dot org>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or    
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
# ***************************************************************************

include ./config.mak

BUILDDIRS = bin doc etc include info lib man sbin share vlc-lib tmp

all: FORCE
	@echo "Do you mean to make src or make bin ?"

src: FORCE
	$(MAKE) -C src all

contrib-macosx.tar.bz2: FORCE
	$(WGET) $(CONTRIB_URL)

bin: FORCE
	@echo "make bin isn't in a functional state at this moment. Please use make src"

#The disabled make bin
#bin: contrib-macosx.tar.bz2
#	@if test -d tmp; then \
#		echo "Move away ./tmp, it's in the way" ; \
#		exit 1 ; \
#	fi
#	mkdir tmp
#	bunzip2 -c $< | (cd tmp; tar xf -)
#	./change_prefix.sh tmp @@CONTRIB_PREFIX@@ $(PREFIX)
#	(cd tmp; tar cf - .) | tar xf -
#	rm -rf tmp
#	ranlib lib/*\.a

clean-src: FORCE
	rm -rf $(BUILDDIRS)
	$(MAKE) -C src clean-src

clean-bin: FORCE
	rm -rf $(BUILDDIRS)
	$(MAKE) -C src clean-dots

clean: FORCE
#	@echo "    Do you mean to clean-src or clean-bin ?"
	@echo "    'make bin' isn't available at the moment"
	@echo "    you probably wanna run 'make clean-src' then"
	@echo "    you can still run 'make clean-bin' manually if needed"
	$(MAKE) clean-src

package: FORCE
	@if test -d tmp; then \
		echo "Move away ./tmp, it's in the way" ; \
		exit 1 ; \
	fi
	mkdir tmp
	tar cf - bin sbin include lib vlc-lib share/aclocal* share/autoconf* \
		share/automake* share/gettext* \
		| (cd tmp; tar xf -)
	./change_prefix.sh tmp $(PREFIX) @@CONTRIB_PREFIX@@
	(cd tmp; tar cf - .) | bzip2 -c > contrib-macosx.tar.bz2
	rm -rf tmp

FORCE:

=== extras/ffmpeg/Makefile ===
#
# Main ffmpeg Makefile
# (c) 2000-2004 Fabrice Bellard
#
include config.mak

VPATH=$(SRC_PATH)

CFLAGS=$(OPTFLAGS) -I. -I$(SRC_PATH) -I$(SRC_PATH)/libavutil -I$(SRC_PATH)/libavcodec -I$(SRC_PATH)/libavformat -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE
LDFLAGS+= -g 

ifeq ($(TARGET_GPROF),yes)
CFLAGS+=-p
LDFLAGS+=-p
endif

MANPAGE=doc/ffmpeg.1
PROG=ffmpeg$(EXESUF)
PROGTEST=output_example$(EXESUF)
QTFASTSTART=qt-faststart$(EXESUF)

ifeq ($(CONFIG_FFSERVER),yes)
MANPAGE+=doc/ffserver.1
PROG+=ffserver$(EXESUF)
endif

ifeq ($(CONFIG_FFPLAY),yes)
MANPAGE+=doc/ffplay.1
PROG+=ffplay$(EXESUF)
FFPLAY_O=ffplay.o
endif

ifeq ($(CONFIG_AUDIO_BEOS),yes)
EXTRALIBS+=-lmedia -lbe
endif

ifeq ($(BUILD_SHARED),yes)
DEP_LIBS=libavcodec/$(SLIBPREF)avcodec$(SLIBSUF) libavformat/$(SLIBPREF)avformat$(SLIBSUF)
else
DEP_LIBS=libavcodec/$(LIBPREF)avcodec$(LIBSUF) libavformat/$(LIBPREF)avformat$(LIBSUF)
ifeq ($(CONFIG_MP3LAME),yes)
EXTRALIBS+=-lmp3lame
endif
endif

ifeq ($(CONFIG_LIBOGG),yes)
ifeq ($(CONFIG_LIBVORBIS),yes)
EXTRALIBS+= -lvorbisenc -lvorbis
endif
ifeq ($(CONFIG_LIBTHEORA),yes)
EXTRALIBS+= -ltheora
endif
EXTRALIBS+= -logg
endif

ifeq ($(CONFIG_FAAD),yes)
ifeq ($(CONFIG_FAADBIN),yes)
# no libs needed
else
EXTRALIBS += -lfaad
endif
endif

ifeq ($(CONFIG_FAAC),yes)
EXTRALIBS+=-lfaac
endif

ifeq ($(CONFIG_XVID),yes)
EXTRALIBS+=-lxvidcore
endif

ifeq ($(CONFIG_LIBGSM),yes)
EXTRALIBS+=-lgsm
endif

ifeq ($(CONFIG_DC1394),yes)
EXTRALIBS+=-ldc1394_control -lraw1394
endif

ifeq ($(BUILD_VHOOK),yes)
VHOOK=videohook
INSTALLVHOOK=install-vhook
CLEANVHOOK=clean-vhook
endif

ifeq ($(TARGET_OS), SunOS)
TEST=/usr/bin/test
else
TEST=test
endif

ifeq ($(BUILD_DOC),yes)
DOC=documentation
endif

OBJS = ffmpeg.o ffserver.o cmdutils.o $(FFPLAY_O)
SRCS = $(OBJS:.o=.c) $(ASM_OBJS:.o=.s)
FFLIBS = -L./libavformat -lavformat$(BUILDSUF) -L./libavcodec -lavcodec$(BUILDSUF) -L./libavutil -lavutil$(BUILDSUF)

all: lib $(PROG) $(PROGTEST) $(VHOOK) $(QTFASTSTART) $(DOC)

lib:
	$(MAKE) -C libavutil all
	$(MAKE) -C libavcodec all
	$(MAKE) -C libavformat all

ffmpeg_g$(EXESUF): ffmpeg.o cmdutils.o .libs
	$(CC) $(LDFLAGS) -o $@ ffmpeg.o cmdutils.o $(FFLIBS) $(EXTRALIBS)

ffmpeg$(EXESUF): ffmpeg_g$(EXESUF)
	cp -p $< $@
	$(STRIP) $@

ffserver$(EXESUF): ffserver.o .libs
	$(CC) $(LDFLAGS) $(FFSLDFLAGS) -o $@ ffserver.o $(FFLIBS) $(EXTRALIBS) 

ffplay_g$(EXESUF): ffplay.o cmdutils.o .libs
	$(CC) $(LDFLAGS) -o $@ ffplay.o cmdutils.o $(FFLIBS) $(EXTRALIBS) $(SDL_LIBS)

ffplay$(EXESUF): ffplay_g$(EXESUF)
	cp -p $< $@
	$(STRIP) $@

output_example$(EXESUF): output_example.o .libs
	$(CC) $(LDFLAGS) -o $@ output_example.o $(FFLIBS) $(EXTRALIBS)

qt-faststart$(EXESUF): qt-faststart.c
	$(CC) $(SRC_PATH)/qt-faststart.c -o qt-faststart$(EXESUF)

cws2fws$(EXESUF): cws2fws.c
	$(CC) $(SRC_PATH)/cws2fws.c -o cws2fws$(EXESUF) -lz

ffplay.o: ffplay.c
	$(CC) $(CFLAGS) $(SDL_CFLAGS) -c -o $@ $< 

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $< 

videohook: .libs
	$(MAKE) -C vhook all

documentation:
	$(MAKE) -C doc all

.PHONY: install

install: all install-man $(INSTALLVHOOK)
	$(MAKE) -C libavutil install
	$(MAKE) -C libavcodec install
	$(MAKE) -C libavformat install
	install -d "$(bindir)"
	install -c $(INSTALLSTRIP) -m 755 $(PROG) "$(bindir)"

# create the window installer
wininstaller: all install
	makensis ffinstall.nsi

# install man from source dir if available
install-man:
ifneq ($(CONFIG_WIN32),yes)
	if [ -f doc/ffmpeg.1 ] ; then \
	    install -d "$(mandir)/man1" ; \
	    install -m 644 $(MANPAGE) "$(mandir)/man1" ; \
	fi
endif

install-vhook:
	$(MAKE) -C vhook install

installlib:
	$(MAKE) -C libavutil installlib
	$(MAKE) -C libavcodec installlib
	$(MAKE) -C libavformat installlib

dep:	depend

depend: .depend
	$(MAKE) -C libavcodec depend
	$(MAKE) -C libavformat depend
ifeq ($(BUILD_VHOOK),yes)
	$(MAKE) -C vhook depend
endif

.depend: $(SRCS)
	$(CC) -MM $(CFLAGS) $(SDL_CFLAGS) $^ 1>.depend

.libs: lib
	@test -f .libs || touch .libs
	@for i in $(DEP_LIBS) ; do if $(TEST) $$i -nt .libs ; then touch .libs; fi ; done

clean: $(CLEANVHOOK)
	$(MAKE) -C libavutil clean
	$(MAKE) -C libavcodec clean
	$(MAKE) -C libavformat clean
	$(MAKE) -C tests clean
	rm -f *.o *.d *~ .libs .depend gmon.out TAGS ffmpeg_g$(EXESUF) \
	   ffplay_g$(EXESUF) $(PROG) $(PROGTEST) $(QTFASTSTART)

clean-vhook:
	$(MAKE) -C vhook clean

# Note well: config.log is NOT removed.
distclean: clean
	$(MAKE) -C libavcodec distclean
	rm -f config.mak config.h

TAGS:
	etags *.[ch] libavformat/*.[ch] libavcodec/*.[ch]

# regression tests

libavtest test mpeg4 mpeg test-server fulltest: ffmpeg$(EXESUF)
	$(MAKE) -C tests $@

# tar release (use 'make -k tar' on a checkouted tree)
FILE=ffmpeg-$(shell grep "\#define FFMPEG_VERSION " libavcodec/avcodec.h | \
                    cut -d "\"" -f 2 )

tar:
	rm -rf /tmp/$(FILE)
	cp -r . /tmp/$(FILE)
	( cd /tmp ; tar zcvf ~/$(FILE).tar.gz $(FILE) --exclude CVS )
	rm -rf /tmp/$(FILE)

.PHONY: lib

ifneq ($(wildcard .depend),)
include .depend
endif

=== extras/contrib/src/Makefile ===
# ***************************************************************************
# src/Makefile : Dearchive and compile all files necessary
# ***************************************************************************
# Copyright (C) 2003, 2004, 2005 the VideoLAN team
# $Id: Makefile 12944 2005-10-23 15:34:37Z zorglub $
#
# Authors: Christophe Massiot <massiot@via.ecp.fr>
#          Derk-Jan Hartman <hartman at videolan dot org>
#          Eric Petit <titer@m0k.org>
#          Felix Khne <fkuehne@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
# ***************************************************************************

include ../config.mak
include ./packages.mak

# ***************************************************************************
# Set a clean environment
# ***************************************************************************

ifeq ($(HOST),ppc-darwin)
HAVE_DARWIN_OS=1
endif
ifeq ($(HOST),powerpc-apple-darwin8)
HAVE_DARWIN_OS=1
endif

ifdef HAVE_DARWIN_OS
export PATH = $(PREFIX)/bin:/bin:/usr/bin
export DYLD_LIBRARY_PATH = $(PREFIX)/lib
endif

ifeq ($(HOST),i586-pc-beos)
ifeq ($(HOST),$(BUILD))
# Compiling on BeOS
export PATH = $(PREFIX)/bin:.:/boot/home/config/bin:/bin:/boot/apps:/boot/preferences:/boot/beos/apps:/boot/beos/preferences:/boot/develop/tools/gnupro/bin
export LIBRARY_PATH = $(PREFIX)/lib:%A/lib:/boot/home/config/lib:/boot/beos/system/lib
else
# Cross compiling from Linux
export PATH = $(PREFIX)/bin:/opt/beos-tools/bin:/opt/cross-tools/bin:/usr/bin:/bin
endif
endif

export CFLAGS = -I$(PREFIX)/include $(EXTRA_CFLAGS) $(EXTRA_CPPFLAGS)
export CPPFLAGS = -I$(PREFIX)/include $(EXTRA_CFLAGS) $(EXTRA_CPPFLAGS)
export CXXFLAGS = -I$(PREFIX)/include $(EXTRA_CFLAGS) $(EXTRA_CPPFLAGS)
export LDFLAGS = -L$(PREFIX)/lib $(EXTRA_LDFLAGS)

# ***************************************************************************
# Cross compilation variables
# We'll usually use --host=<platform>, except for a few libraries which
# don't handle it (gotta set CC/CXX/etc), and obviously FFmpeg has its own
# way of doing it... ;)
# ***************************************************************************

ifneq ($(BUILD),$(HOST))
# We are cross compiling
HOSTCONF=--host=$(HOST)
HOSTCC=CC=$(HOST)-gcc CXX=$(HOST)-g++ AR=$(HOST)-ar RANLIB=$(HOST)-ranlib
# For libebml/libmatroska. Grrr.
HOSTCC2=CC=$(HOST)-gcc CXX=$(HOST)-g++ "AR=$(HOST)-ar rcvu" RANLIB=$(HOST)-ranlib
FFMPEGCONF=--cross-prefix=$(HOST)-
RANLIB=$(HOST)-ranlib
else
# Building natively
RANLIB=ranlib
endif
ifeq ($(HOST),i586-pc-beos)
FFMPEGCONF+=--cpu=x86
endif

# ***************************************************************************
# Standard rules
# ***************************************************************************

ifdef HAVE_DARWIN_OS
 all: .autoconf .automake .libtool .iconv .intl .pkgcfg .freetype .fribidi \
	.a52 .mpeg2 .id3tag .mad .ogg .vorbis .vorbisenc .x264 .theora \
	.FLAC .speex .shout .faad .faac .lame .twolame .ebml .matroska .ffmpeg .openslp \
	.dvdcss .dvdread .dvdnav .dvbpsi .live .goom2k4 .caca .mod \
	.png .gpg-error .gcrypt .gnutls .opendaap .cddb .cdio .vcdimager .SDL_image \
	.glib .libidl .gecko .libmpcdec .aclocal
# .mozilla will build an entire mozilla. it can be used if we need to create a new .gecko package
else

 ifeq ($(HOST),i586-pc-beos)
  ifeq ($(HOST),$(BUILD))
# Native build: we need perl, autoconf, etc first
   all: .perl .autoconf .automake .libtool .iconv .intl .freetype .fribidi \
	.a52 .mpeg2 .id3tag .mad .ogg .vorbis .vorbisenc .theora \
	.FLAC .speex .faad .faac .lame .ebml .matroska .ffmpeg .dvdcss \
	.dvdread .dvdnav .dvbpsi .aclocal
  else
# Cross compiling: we already have the Linux tools, only build the
# libraries now
   all: .iconv .intl .freetype .fribidi \
	.a52 .mpeg2 .id3tag .mad .ogg .vorbis .vorbisenc .theora \
	.FLAC .speex .faad .faac .lame .twolame .ebml .matroska .ffmpeg .dvdcss \
	.dvdread .dvdnav .dvbpsi .aclocal
  endif
 else
# Standard Linux or other UNIX-like systems
   all: .iconv .intl .freetype .fribidi \
	.a52 .mpeg2 .id3tag .mad .ogg .vorbis .vorbisenc .x264 .theora \
	.FLAC .speex .faad .faac .lame .ebml .matroska .ffmpeg .dvdcss \
	.dvdread .dvdnav .dvbpsi .live .aclocal
 endif
endif

FORCE:

# ***************************************************************************
# Useful macros
# ***************************************************************************

define EXTRACT_GZ
	tar xzf $<
	mv $(patsubst %.tar.gz,%,$(patsubst %.tgz,%,$(notdir $<))) $@ || true
	touch $@
endef

define EXTRACT_BZ2
	bunzip2 -c $< | tar xf -
	mv $(patsubst %.tar.bz2,%,$(notdir $<)) $@ || true
	touch $@
endef

### Darwin-specific ###
# These macros prepare the dynamic libraries for inclusion in the Mac OS X
# bundle. For instance if you're building a library named libtoto.dylib,
# which depends on the contrib library libtata.dylib, you should have the
# following entry :
# .toto: toto_directory .tata
#	cd $< ; ./configure --prefix=$(PREFIX)
#	$(MAKE) -C $<
#	$(MAKE) -C $< install
#	$(INSTALL_NAME)
#	touch $@

ifdef HAVE_DARWIN_OS
define INSTALL_NAME_LIB
	install_name_tool \
		-change $(PREFIX)/lib/$(shell cd $(PREFIX)/lib; ls | grep "lib$(INSTALL_LIB).[0-9]*.dylib") \
		@executable_path/lib/vlc_lib$(INSTALL_LIB).dylib \
		$(PREFIX)/vlc-lib/lib$(patsubst .%,%,$@).dylib ;
endef

define INSTALL_NAME
	if which install_name_tool >/dev/null; then \
		mkdir -p $(PREFIX)/vlc-lib ; \
		cp $(PREFIX)/lib/lib$(patsubst .%,%,$@).dylib \
			$(PREFIX)/vlc-lib/lib$(patsubst .%,%,$@).dylib ; \
		install_name_tool \
			-id @executable_path/lib/vlc_lib$(patsubst .%,%,$@).dylib \
			$(PREFIX)/vlc-lib/lib$(patsubst .%,%,$@).dylib ; \
		$(foreach INSTALL_LIB,$(patsubst .%,%,$(filter .%,$^)), \
			$(INSTALL_NAME_LIB)) \
	fi
endef
endif

ifeq ($(HOST),i586-pc-beos)
# We test if the file actually exists, as sometimes (but not always)
# libtool won't accept to build the shared library
define INSTALL_NAME
	if test -f $(PREFIX)/lib/lib$(patsubst .%,%,$@).so ; then \
		mkdir -p $(PREFIX)/vlc-lib ; \
		cp $(PREFIX)/lib/lib$(patsubst .%,%,$@).so \
		  $(PREFIX)/vlc-lib/ ; \
	fi
endef
endif

# ***************************************************************************
# perl
# ***************************************************************************

ifeq ($(BUILD),i586-pc-beos)
perl-$(PERL_VERSION).tar.gz:
	$(WGET) $(PERL_URL)

perl: perl-$(PERL_VERSION).tar.gz
	$(EXTRACT_GZ)
	mv perl/hints/beos.sh perl/hints/beos.sh.orig
	sed 's%prefix="/boot/home/config"%prefix="$(PREFIX)"%' < perl/hints/beos.sh.orig > perl/hints/beos.sh

.perl: perl
	(cd $<; ./Configure -d -e && make && make install && ln -sf perl5/$(PERL_VERSION)/BePC-beos/CORE/libperl.so $(PREFIX)/lib/libperl.so)
	touch $@

CLEAN_FILE += .perl
CLEAN_PKG += perl
DISTCLEAN_PKG += perl-$(PERL_VERSION).tar.gz
endif

# ***************************************************************************
# autoconf
# ***************************************************************************

autoconf-$(AUTOCONF_VERSION).tar.gz:
	$(WGET) $(AUTOCONF_URL)

autoconf: autoconf-$(AUTOCONF_VERSION).tar.gz
	$(EXTRACT_GZ)

.autoconf: autoconf
	(cd $<; ./configure --prefix=$(PREFIX) && make && make install)
	touch $@

CLEAN_FILE += .autoconf
CLEAN_PKG += autoconf
DISTCLEAN_PKG += autoconf-$(AUTOCONF_VERSION).tar.gz

# ***************************************************************************
# libtool
# ***************************************************************************

ifdef HAVE_DARWIN_OS
.libtool:
	if test -x /usr/bin/glibtoolize; then \
		ln -sf /usr/bin/glibtoolize $(PREFIX)/bin/libtoolize ; \
	fi
	if test -f /usr/share/aclocal/libtool.m4; then \
		mkdir -p $(PREFIX)/share/aclocal ; \
		ln -sf /usr/share/aclocal/libtool.m4 $(PREFIX)/share/aclocal ; \
	fi
	touch $@
endif

ifeq ($(BUILD),i586-pc-beos)
libtool-$(LIBTOOL_VERSION).tar.gz:
	$(WGET) $(LIBTOOL_URL)

libtool: libtool-$(LIBTOOL_VERSION).tar.gz
	$(EXTRACT_GZ)

.libtool: libtool
	(cd $<; ./configure --prefix=$(PREFIX) && make && make install)
	touch $@

CLEAN_PKG += libtool
DISTCLEAN_PKG += libtool-$(LIBTOOL_VERSION).tar.gz
endif

CLEAN_FILE += .libtool

# ***************************************************************************
# automake
# ***************************************************************************

automake-$(AUTOMAKE_VERSION).tar.gz:
	$(WGET) $(AUTOMAKE_URL)

automake: automake-$(AUTOMAKE_VERSION).tar.gz
	$(EXTRACT_GZ)

.automake: automake
	(cd $<; ./configure --prefix=$(PREFIX) && make && make install)
	touch $@

CLEAN_FILE += .automake
CLEAN_PKG += automake
DISTCLEAN_PKG += automake-$(AUTOMAKE_VERSION).tar.gz

# ***************************************************************************
# pkgconfig
# ***************************************************************************

pkgconfig-$(PKGCFG_VERSION).tar.gz:
	$(WGET) $(PKGCFG_URL)

pkgconfig: pkgconfig-$(PKGCFG_VERSION).tar.gz
	$(EXTRACT_GZ)

.pkgcfg: pkgconfig
	(cd pkgconfig; ./configure --prefix=$(PREFIX) --disable-shared --enable-static && make && make install)
	touch $@

CLEAN_FILE += .pkgcfg
CLEAN_PKG += pkgconfig
DISTCLEAN_PKG += pkgconfig-$(PKGCFG_VERSION).tar.gz

# ***************************************************************************
# gettext
# ***************************************************************************

gettext-$(GETTEXT_VERSION).tar.gz:
	$(WGET) $(GETTEXT_URL)

gettext: gettext-$(GETTEXT_VERSION).tar.gz
	$(EXTRACT_GZ)
	patch -p 0 < Patches/gettext.patch

.intl: gettext .iconv
	( cd $< && ./configure $(HOSTCONF) --prefix=$(PREFIX) )
ifeq ($(BUILD),i586-pc-beos)
# The ugliest kludge ever - so libtool correctly links shared libraries
# on BeOS. Sorry, I just can't figure out how libtool works
	( cd $< && for f in `find . -name libtool`; do mv $$f $$f.orig; sed -e 's/ -shared / -nostart /' -e 's/^predep_objects.*/predep_objects=""/' < $$f.orig > $$f; chmod +x $$f; rm $$f.orig; done )
endif
ifneq ($(HOST),$(BUILD))
# We'll use the installed gettext and only need to cross-compile libintl
	( cd $< && make -C gettext-runtime/intl && make -C gettext-runtime/intl install )
else
# Build and install the whole gettext
	( cd $< && make && make install )
endif
	$(INSTALL_NAME)
	touch $@

CLEAN_FILE += .intl
CLEAN_PKG += gettext
DISTCLEAN_PKG += gettext-$(GETTEXT_VERSION).tar.gz

# ***************************************************************************
# libiconv
# ***************************************************************************

libiconv-$(LIBICONV_VERSION).tar.gz:
	$(WGET) $(LIBICONV_URL)

libiconv: libiconv-$(LIBICONV_VERSION).tar.gz
	$(EXTRACT_GZ)
	patch -p 0 < Patches/libiconv.patch

.iconv: libiconv
	(cd libiconv; ./configure $(HOSTCONF) --prefix=$(PREFIX) --disable-nls && make && make install)
	$(INSTALL_NAME)
	touch $@

CLEAN_FILE += .iconv
CLEAN_PKG += libiconv
DISTCLEAN_PKG += libiconv-$(LIBICONV_VERSION).tar.gz

# ***************************************************************************
# freetype2
# ***************************************************************************

freetype-$(FREETYPE2_VERSION).tar.gz:
	$(WGET) $(FREETYPE2_URL)

freetype2: freetype-$(FREETYPE2_VERSION).tar.gz
	$(EXTRACT_GZ)

.freetype: freetype2
	(cd $<; ./configure $(HOSTCONF) --prefix=$(PREFIX) && make && make install)
	$(INSTALL_NAME)
	touch $@

CLEAN_FILE += .freetype
CLEAN_PKG += freetype2

=== extras/ffmpeg/libavcodec/Makefile ===
#
# libavcodec Makefile
# (c) 2000-2005 Fabrice Bellard
#
include ../config.mak

VPATH=$(SRC_PATH)/libavcodec

# NOTE: -I.. is needed to include config.h
CFLAGS=$(OPTFLAGS) -DHAVE_AV_CONFIG_H -I.. -I$(SRC_PATH)/libavutil -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE $(AMR_CFLAGS)

OBJS= bitstream.o utils.o mem.o allcodecs.o \
      mpegvideo.o jrevdct.o jfdctfst.o jfdctint.o\
      mpegaudio.o ac3enc.o mjpeg.o resample.o resample2.o dsputil.o \
      motion_est.o imgconvert.o imgresample.o \
      mpeg12.o mpegaudiodec.o pcm.o simple_idct.o \
      ratecontrol.o adpcm.o eval.o error_resilience.o \
      fft.o mdct.o raw.o golomb.o cabac.o\
      dpcm.o adx.o faandct.o parser.o g726.o \
      vp3dsp.o h264idct.o rangecoder.o pnm.o h263.o msmpeg4.o h263dec.o dvdsub.o dvbsub.o dvbsubdec.o\
      opt.o

ifeq ($(CONFIG_AASC_DECODER),yes)
    OBJS+= aasc.o
endif
ifeq ($(CONFIG_ALAC_DECODER),yes)
    OBJS+= alac.o
endif
ifneq ($(CONFIG_ASV1_DECODER)$(CONFIG_ASV1_ENCODER)$(CONFIG_ASV2_DECODER)$(CONFIG_ASV2_ENCODER),)
    OBJS+= asv1.o
endif
ifeq ($(CONFIG_CINEPAK_DECODER),yes)
    OBJS+= cinepak.o
endif
ifneq ($(CONFIG_CLJR_DECODER)$(CONFIG_CLJR_ENCODER),)
    OBJS+= cljr.o
endif
ifeq ($(CONFIG_CYUV_DECODER),yes)
    OBJS+= cyuv.o
endif
ifneq ($(CONFIG_DVVIDEO_DECODER)$(CONFIG_DVVIDEO_ENCODER),)
    OBJS+= dv.o
endif
ifeq ($(CONFIG_EIGHTBPS_DECODER),yes)
    OBJS+= 8bps.o
endif
ifneq ($(CONFIG_FFV1_DECODER)$(CONFIG_FFV1_ENCODER),)
    OBJS+= ffv1.o
endif
ifeq ($(CONFIG_FLAC_DECODER),yes)
    OBJS+= flac.o
endif
ifeq ($(CONFIG_FLIC_DECODER),yes)
    OBJS+= flicvideo.o
endif
ifeq ($(CONFIG_FOURXM_DECODER),yes)
    OBJS+= 4xm.o
endif
ifeq ($(CONFIG_FRAPS_DECODER),yes)
    OBJS+= fraps.o
endif
ifneq ($(CONFIG_H261_DECODER)$(CONFIG_H261_ENCODER),)
    OBJS+= h261.o
endif
ifneq ($(CONFIG_H264_DECODER)$(CONFIG_SVQ3_DECODER),)
    OBJS+= h264.o
endif
ifneq ($(CONFIG_HUFFYUV_DECODER)$(CONFIG_HUFFYUV_ENCODER)$(CONFIG_FFVHUFF_DECODER)$(CONFIG_FFVHUFF_ENCODER),)
    OBJS+= huffyuv.o
endif
ifeq ($(CONFIG_IDCIN_DECODER),yes)
    OBJS+= idcinvideo.o
endif
ifeq ($(CONFIG_INDEO2_DECODER),yes)
    OBJS+= indeo2.o
endif
ifeq ($(CONFIG_INDEO3_DECODER),yes)
    OBJS+= indeo3.o
endif
ifeq ($(CONFIG_INTERPLAY_VIDEO_DECODER),yes)
    OBJS+= interplayvideo.o
endif
ifneq ($(CONFIG_MSZH_DECODER)$(CONFIG_ZLIB_DECODER)$(CONFIG_ZLIB_ENCODER),)
    OBJS+= lcl.o
endif
ifeq ($(CONFIG_LOCO_DECODER),yes)
    OBJS+= loco.o
endif
ifneq ($(CONFIG_MACE3_DECODER)$(CONFIG_MACE6_DECODER),)
    OBJS+= mace.o
endif
ifeq ($(CONFIG_MSRLE_DECODER),yes)
    OBJS+= msrle.o
endif
ifeq ($(CONFIG_MSVIDEO1_DECODER),yes)
    OBJS+= msvideo1.o
endif
ifneq ($(CONFIG_PNG_DECODER)$(CONFIG_PNG_ENCODER),)
    OBJS+= png.o
endif
ifeq ($(CONFIG_QDRAW_DECODER),yes)
    OBJS+= qdrw.o
endif
ifeq ($(CONFIG_QPEG_DECODER),yes)
    OBJS+= qpeg.o
endif
ifeq ($(CONFIG_QTRLE_DECODER),yes)
    OBJS+= qtrle.o
endif
ifeq ($(CONFIG_RA_144_DECODER),yes)
    OBJS+= ra144.o
endif
ifeq ($(CONFIG_RA_288_DECODER),yes)
    OBJS+= ra288.o
endif
ifeq ($(CONFIG_ROQ_DECODER),yes)
    OBJS+= roqvideo.o
endif
ifeq ($(CONFIG_RPZA_DECODER),yes)
    OBJS+= rpza.o
endif
ifneq ($(CONFIG_RV10_DECODER)$(CONFIG_RV20_DECODER)$(CONFIG_RV10_ENCODER)$(CONFIG_RV20_ENCODER),)
    OBJS+= rv10.o
endif
ifeq ($(CONFIG_SHORTEN_DECODER),yes)
    OBJS+= shorten.o
endif
ifeq ($(CONFIG_SMC_DECODER),yes)
    OBJS+= smc.o
endif
ifneq ($(CONFIG_SNOW_DECODER)$(CONFIG_SNOW_ENCODER),)
    OBJS+= snow.o
endif
ifneq ($(CONFIG_SONIC_DECODER)$(CONFIG_SONIC_ENCODER)$(CONFIG_SONIC_LS_ENCODER),)
    OBJS+= sonic.o
endif
ifneq ($(CONFIG_SVQ1_DECODER)$(CONFIG_SVQ1_ENCODER),)
    OBJS+= svq1.o
endif
ifeq ($(CONFIG_TRUEMOTION1_DECODER),yes)
    OBJS+= truemotion1.o
endif
ifeq ($(CONFIG_TSCC_DECODER),yes)
    OBJS+= tscc.o
endif
ifeq ($(CONFIG_ULTI_DECODER),yes)
    OBJS+= ulti.o
endif
ifneq ($(CONFIG_VC9_DECODER)$(CONFIG_WMV3_DECODER),)
    OBJS+= vc9.o
endif
ifneq ($(CONFIG_VCR1_DECODER)$(CONFIG_VCR1_ENCODER),)
    OBJS+= vcr1.o
endif
ifneq ($(CONFIG_VMDVIDEO_DECODER)$(CONFIG_VMDAUDIO_DECODER),)
    OBJS+= vmdav.o
endif
ifeq ($(CONFIG_VORBIS_DECODER),yes)
    OBJS+= vorbis.o
endif
ifneq ($(CONFIG_VP3_DECODER)$(CONFIG_THEORA_DECODER),)
    OBJS+= vp3.o
endif
ifeq ($(CONFIG_VQA_DECODER),yes)
    OBJS+= vqavideo.o
endif
ifneq ($(CONFIG_WMAV1_DECODER)$(CONFIG_WMAV2_DECODER),)
    OBJS+= wmadec.o
endif
ifeq ($(CONFIG_WNV1_DECODER),yes)
    OBJS+= wnv1.o
endif
ifeq ($(CONFIG_WS_SND1_DECODER),yes)
    OBJS+= ws-snd1.o
endif
ifneq ($(CONFIG_XAN_WC3_DECODER)$(CONFIG_XAN_WC4_DECODER),)
    OBJS+= xan.o
endif
ifeq ($(CONFIG_XL_DECODER),yes)
    OBJS+= xl.o
endif
      
      
AMROBJS=
ifeq ($(AMR_NB),yes)
ifeq ($(AMR_NB_FIXED),yes)
AMROBJS= amr.o
AMREXTRALIBS+= amr/*.o
AMRLIBS=amrlibs
CLEANAMR=cleanamr
else
AMROBJS= amr.o
OBJS+= amr_float/sp_dec.o amr_float/sp_enc.o amr_float/interf_dec.o amr_float/interf_enc.o
CLEANAMR=cleanamrfloat
endif
endif

ifeq ($(HAVE_PTHREADS),yes)
OBJS+= pthread.o
endif

ifeq ($(HAVE_W32THREADS),yes)
OBJS+= w32thread.o
endif

ifeq ($(HAVE_BEOSTHREADS),yes)
OBJS+= beosthread.o
endif

ifeq ($(AMR_WB),yes)
AMROBJS= amr.o
OBJS+= amrwb_float/dec_acelp.o amrwb_float/dec_dtx.o amrwb_float/dec_gain.o \
		amrwb_float/dec_if.o amrwb_float/dec_lpc.o amrwb_float/dec_main.o \
		amrwb_float/dec_rom.o amrwb_float/dec_util.o amrwb_float/enc_acelp.o \
		amrwb_float/enc_dtx.o amrwb_float/enc_gain.o amrwb_float/enc_if.o \
		amrwb_float/enc_lpc.o amrwb_float/enc_main.o amrwb_float/enc_rom.o \
		amrwb_float/enc_util.o amrwb_float/if_rom.o
endif
OBJS+= $(AMROBJS)
CLEANAMRWB=cleanamrwbfloat
ASM_OBJS=

ifeq ($(HAVE_XVMC_ACCEL),yes)
OBJS+= xvmcvideo.o
endif

# currently using liba52 for ac3 decoding
ifeq ($(CONFIG_AC3),yes)
OBJS+= a52dec.o

# using builtin liba52 or runtime linked liba52.so.0
ifneq ($(CONFIG_A52BIN),yes)
OBJS+= liba52/bit_allocate.o liba52/bitstream.o liba52/downmix.o \
	liba52/imdct.o  liba52/parse.o liba52/crc.o liba52/resample.o
endif
endif

EXTRALIBS += -L../libavutil -lavutil$(BUILDSUF)

# currently using libdts for dts decoding
ifeq ($(CONFIG_DTS),yes)
OBJS+= dtsdec.o
CFLAGS += $(DTS_INC)
EXTRALIBS += -ldts
endif

ifeq ($(CONFIG_FAAD),yes)
OBJS+= faad.o
ifeq ($(CONFIG_FAADBIN),yes)
# no libs needed
else
EXTRALIBS += -lfaad
endif
endif

ifeq ($(CONFIG_FAAC),yes)
OBJS+= faac.o
EXTRALIBS += -lfaac
endif

ifeq ($(CONFIG_XVID),yes)
OBJS+= xvidff.o
EXTRALIBS += -lxvidcore
endif

ifeq ($(CONFIG_X264),yes)
OBJS+= x264.o
EXTRALIBS += -lx264
endif

ifeq ($(CONFIG_PP),yes)
ifeq ($(SHARED_PP),yes)
EXTRALIBS += -Llibpostproc -lpostproc$(BUILDSUF)
else
# LIBS += libpostproc/libpostproc.a ... should be fixed
OBJS += libpostproc/postprocess.o
endif
endif

ifeq ($(CONFIG_MP3LAME),yes)
OBJS += mp3lameaudio.o
EXTRALIBS += -lmp3lame
endif

ifeq ($(CONFIG_LIBOGG),yes)
ifeq ($(CONFIG_LIBVORBIS),yes)
OBJS += oggvorbis.o
EXTRALIBS += -lvorbisenc -lvorbis
endif
ifeq ($(CONFIG_LIBTHEORA), yes)
OBJS += oggtheora.o
EXTRALIBS += -ltheora
endif
EXTRALIBS += -logg
endif

ifeq ($(CONFIG_LIBGSM),yes)
OBJS += libgsm.o
EXTRALIBS += -lgsm
endif

ifeq ($(TARGET_GPROF),yes)
CFLAGS+=-p
LDFLAGS+=-p
endif

# i386 mmx specific stuff
ifeq ($(TARGET_MMX),yes)
OBJS += i386/fdct_mmx.o i386/cputest.o \
	i386/dsputil_mmx.o i386/mpegvideo_mmx.o \
	i386/idct_mmx.o i386/motion_est_mmx.o \
	i386/simple_idct_mmx.o i386/fft_sse.o i386/vp3dsp_mmx.o \
	i386/vp3dsp_sse2.o
ifeq ($(CONFIG_GPL),yes)
OBJS += i386/idct_mmx_xvid.o
endif
ifdef TARGET_BUILTIN_VECTOR
i386/fft_sse.o: CFLAGS+= -msse
depend: CFLAGS+= -msse
endif
endif

# armv4l specific stuff
ifeq ($(TARGET_ARCH_ARMV4L),yes)
ASM_OBJS += armv4l/jrevdct_arm.o armv4l/simple_idct_arm.o armv4l/dsputil_arm_s.o
OBJS += armv4l/dsputil_arm.o armv4l/mpegvideo_arm.o
ifeq ($(TARGET_IWMMXT),yes)
OBJS += armv4l/dsputil_iwmmxt.o armv4l/mpegvideo_iwmmxt.o
endif
endif

# sun mediaLib specific stuff
# currently only works when libavcodec is used in mplayer
ifeq ($(HAVE_MLIB),yes)
OBJS += mlib/dsputil_mlib.o
CFLAGS += $(MLIB_INC)
endif

# Intel IPP specific stuff
# currently only works when libavcodec is used in mplayer
ifeq ($(HAVE_IPP),yes)
CFLAGS += $(IPP_INC)
endif

# alpha specific stuff
ifeq ($(TARGET_ARCH_ALPHA),yes)
OBJS += alpha/dsputil_alpha.o alpha/mpegvideo_alpha.o \
	alpha/simple_idct_alpha.o alpha/motion_est_alpha.o
ASM_OBJS += alpha/dsputil_alpha_asm.o alpha/motion_est_mvi_asm.o
CFLAGS += -fforce-addr
endif

ifeq ($(TARGET_ARCH_POWERPC),yes)
OBJS += ppc/dsputil_ppc.o ppc/mpegvideo_ppc.o
endif

ifeq ($(TARGET_MMI),yes)
OBJS += ps2/dsputil_mmi.o ps2/idct_mmi.o ps2/mpegvideo_mmi.o
endif

ifeq ($(TARGET_ALTIVEC),yes)
OBJS += ppc/dsputil_altivec.o ppc/mpegvideo_altivec.o ppc/idct_altivec.o \
        ppc/fft_altivec.o ppc/gmc_altivec.o ppc/fdct_altivec.o \
        ppc/dsputil_h264_altivec.o
endif

ifeq ($(TARGET_ARCH_SH4),yes)
OBJS+= sh4/idct_sh4.o sh4/dsputil_sh4.o sh4/dsputil_align.o
endif

ifeq ($(TARGET_ARCH_SPARC),yes)
OBJS+=sparc/dsputil_vis.o
sparc/%.o: sparc/%.c
	$(CC) -mcpu=ultrasparc -mtune=ultrasparc $(CFLAGS) -c -o $@ $< 
endif
ifeq ($(TARGET_ARCH_SPARC64),yes)
CFLAGS+= -mcpu=ultrasparc -mtune=ultrasparc
endif

SRCS := $(OBJS:.o=.c) $(ASM_OBJS:.o=.S)
OBJS := $(OBJS) $(ASM_OBJS)

LIB= $(LIBPREF)avcodec$(LIBSUF)
LIBAVUTIL= $(SRC_PATH)/libavutil/$(LIBPREF)avutil$(LIBSUF)
ifeq ($(BUILD_SHARED),yes)
SLIB= $(SLIBPREF)avcodec$(SLIBSUF)
endif
TESTS= imgresample-test dct-test motion-test fft-test

all: $(LIB) $(SLIB)

amrlibs:
	$(MAKE) -C amr spclib fipoplib

tests: apiexample cpuid_test $(TESTS)

$(LIB): $(OBJS) $(AMRLIBS)
	rm -f $@
	$(AR) rc $@ $(OBJS) $(AMREXTRALIBS)
	$(RANLIB) $@

$(SLIB): $(OBJS)
ifeq ($(CONFIG_PP),yes)
	$(MAKE) -C libpostproc
endif
ifeq ($(CONFIG_WIN32),yes)
	$(CC) $(SHFLAGS) -Wl,--output-def,$(@:.dll=.def) -o $@ $(OBJS) $(EXTRALIBS) $(AMREXTRALIBS)
	-lib /machine:i386 /def:$(@:.dll=.def)
else
	$(CC) $(SHFLAGS) -o $@ $(OBJS) $(EXTRALIBS) $(AMREXTRALIBS) $(LDFLAGS)
endif

dsputil.o: dsputil.c dsputil.h

libpostproc/libpostproc.a:
	$(MAKE) -C libpostproc

%.o: %.c
	$(CC) $(CFLAGS) $(LIBOBJFLAGS) -c -o $@ $< 

%.o: %.S
	$(CC) $(CFLAGS) $(LIBOBJFLAGS) -c -o $@ $<

depend: $(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

dep:	depend

clean: $(CLEANAMR)
	rm -f *.o *.d *~ .depend $(LIB) $(SLIB) *.so i386/*.o i386/*~ \
	   armv4l/*.o armv4l/*~ \
	   mlib/*.o mlib/*~ \
	   alpha/*.o alpha/*~ \
	   ppc/*.o ppc/*~ \
	   ps2/*.o ps2/*~ \
	   sh4/*.o sh4/*~ \
	   sparc/*.o sparc/*~ \
	   liba52/*.o liba52/*~ \
	   apiexample $(TESTS)
	$(MAKE) -C libpostproc clean

distclean: clean
	rm -f Makefile.bak .depend

cleanamr:
	$(MAKE) -C amr clean

cleanamrfloat:
	rm -f amr_float/*.o

cleanamrwbfloat:
	$(MAKE) -C amrwb_float -f makefile.gcc clean

# api example program
apiexample: apiexample.c $(LIB)
	$(CC) $(CFLAGS) -o $@ $< $(LIB) $(LIBAVUTIL) $(EXTRALIBS) -lm

# cpuid test
cpuid_test: i386/cputest.c
	$(CC) $(CFLAGS) -D__TEST__ -o $@ $<

# testing progs

imgresample-test: imgresample.c
	$(CC) $(CFLAGS) -DTEST -o $@ $^ -lm

dct-test: dct-test.o fdctref.o $(LIB)
	$(CC) -o $@ $^ -lm $(LIBAVUTIL)

motion-test: motion_test.o $(LIB)
	$(CC) -o $@ $^ -lm

fft-test: fft-test.o $(LIB)
	$(CC) -o $@ $^ $(LIBAVUTIL) -lm

ifeq ($(BUILD_SHARED),yes)
install: all install-headers
ifeq ($(CONFIG_WIN32),yes)
	install $(INSTALLSTRIP) -m 755 $(SLIB) "$(prefix)"
else
	install -d $(libdir)
	install $(INSTALLSTRIP) -m 755 $(SLIB) $(libdir)/libavcodec-$(VERSION).so
	ln -sf libavcodec-$(VERSION).so $(libdir)/libavcodec.so
	$(LDCONFIG) || true
endif
ifeq ($(CONFIG_PP),yes)
	$(MAKE) -C libpostproc $@
endif
else
install:
endif

installlib: all install-headers
	install -m 644 $(LIB) "$(libdir)"

install-headers:
	mkdir -p "$(prefix)/include/ffmpeg"
	install -m 644 $(SRC_PATH)/libavcodec/avcodec.h \
                "$(prefix)/include/ffmpeg"
	install -d $(libdir)/pkgconfig
	install -m 644 ../libavcodec.pc $(libdir)/pkgconfig

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== extras/ffmpeg/libavformat/Makefile ===
#
# libavformat Makefile
# (c) 2000-2003 Fabrice Bellard
#
include ../config.mak

VPATH=$(SRC_PATH)/libavformat

CFLAGS=$(OPTFLAGS) -I.. -I$(SRC_PATH) -I$(SRC_PATH)/libavutil -I$(SRC_PATH)/libavcodec -DHAVE_AV_CONFIG_H -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE

OBJS= utils.o cutils.o os_support.o allformats.o
PPOBJS=

# mux and demuxes
OBJS+=mpeg.o mpegts.o mpegtsenc.o ffm.o crc.o img.o img2.o raw.o rm.o \
      avienc.o avidec.o wav.o mmf.o swf.o au.o gif.o mov.o mpjpeg.o dv.o \
      yuv4mpeg.o 4xm.o flvenc.o flvdec.o movenc.o psxstr.o idroq.o ipmovie.o \
      nut.o wc3movie.o mp3.o westwood.o segafilm.o idcin.o flic.o \
      sierravmd.o matroska.o sol.o electronicarts.o nsvdec.o asf.o asf-enc.o \
      ogg2.o oggparsevorbis.o oggparsetheora.o oggparseflac.o daud.o
AMROBJS=
ifeq ($(AMR_NB),yes)
AMROBJS= amr.o
endif
ifeq ($(AMR_NB_FIXED),yes)
AMROBJS= amr.o
endif
ifeq ($(AMR_WB),yes)
AMROBJS= amr.o
endif
OBJS+= $(AMROBJS)

# image formats
OBJS+= pnm.o yuv.o png.o jpeg.o gifdec.o sgi.o
# file I/O
OBJS+= avio.o aviobuf.o file.o 
OBJS+= framehook.o 

ifeq ($(CONFIG_VIDEO4LINUX),yes)
OBJS+= grab.o
endif

ifeq ($(CONFIG_BKTR),yes)
OBJS+= grab_bktr.o
endif

ifeq ($(CONFIG_DV1394),yes)
OBJS+= dv1394.o
endif

ifeq ($(CONFIG_DC1394),yes)
OBJS+= dc1394.o
endif

ifeq ($(CONFIG_AUDIO_OSS),yes)
OBJS+= audio.o 
endif

EXTRALIBS += -L../libavutil -lavutil$(BUILDSUF)

ifeq ($(CONFIG_AUDIO_BEOS),yes)
PPOBJS+= beosaudio.o
EXTRALIBS+=-lbe -lmedia
endif

ifeq ($(CONFIG_NETWORK),yes)
OBJS+= udp.o tcp.o http.o rtsp.o rtp.o rtpproto.o
# BeOS and Darwin network stuff
ifeq ($(NEED_INET_ATON),yes)
OBJS+= barpainet.o
endif
endif

ifeq ($(CONFIG_LIBOGG),yes)
OBJS+= ogg.o
endif

ifeq ($(TARGET_ARCH_SPARC64),yes)
CFLAGS+= -mcpu=ultrasparc -mtune=ultrasparc
endif

LIB= $(LIBPREF)avformat$(LIBSUF)
ifeq ($(BUILD_SHARED),yes)
SLIB= $(SLIBPREF)avformat$(SLIBSUF)

AVCLIBS+=-lavcodec$(BUILDSUF) -L../libavcodec
ifeq ($(CONFIG_MP3LAME),yes)
AVCLIBS+=-lmp3lame
endif
endif

SRCS := $(OBJS:.o=.c) $(PPOBJS:.o=.cpp)

all: $(LIB) $(SLIB)

$(LIB): $(OBJS) $(PPOBJS)
	rm -f $@
	$(AR) rc $@ $(OBJS) $(PPOBJS)
	$(RANLIB) $@

$(SLIB): $(OBJS)
ifeq ($(CONFIG_WIN32),yes)
	$(CC) $(SHFLAGS) -Wl,--output-def,$(@:.dll=.def) -o $@ $(OBJS) $(PPOBJS) $(AVCLIBS) $(EXTRALIBS)
	-lib /machine:i386 /def:$(@:.dll=.def)
else
	$(CC) $(SHFLAGS) $(LDFLAGS) -o $@ $(OBJS) $(PPOBJS) $(AVCLIBS) $(EXTRALIBS)
endif

depend: $(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

ifeq ($(BUILD_SHARED),yes)
install: all install-headers
ifeq ($(CONFIG_WIN32),yes)
	install $(INSTALLSTRIP) -m 755 $(SLIB) "$(prefix)"
else
	install -d $(libdir)
	install $(INSTALLSTRIP) -m 755 $(SLIB) $(libdir)/libavformat-$(VERSION).so
	ln -sf libavformat-$(VERSION).so $(libdir)/libavformat.so
	$(LDCONFIG) || true
endif
else
install:
endif

installlib: all install-headers
	install -m 644 $(LIB) "$(libdir)"

install-headers:
	mkdir -p "$(prefix)/include/ffmpeg"
	install -m 644 $(SRC_PATH)/libavformat/avformat.h $(SRC_PATH)/libavformat/avio.h \
                $(SRC_PATH)/libavformat/rtp.h $(SRC_PATH)/libavformat/rtsp.h \
                $(SRC_PATH)/libavformat/rtspcodes.h \
                "$(prefix)/include/ffmpeg"
	install -d $(libdir)/pkgconfig
	install -m 644 ../libavformat.pc $(libdir)/pkgconfig

%.o: %.c
	$(CC) $(CFLAGS) $(LIBOBJFLAGS) -c -o $@ $< 

# BeOS: remove -Wall to get rid of all the "multibyte constant" warnings
%.o: %.cpp
	g++ $(subst -Wall,,$(CFLAGS)) -c -o $@ $< 

distclean clean: 
	rm -f *.o *.d .depend *~ *.a *.so $(LIB)

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== extras/ffmpeg/tests/Makefile ===
#
# Makefile for tests
# (c) 2002 Fabrice Bellard
#
include ../config.mak

VPATH=$(SRC_PATH)/tests
CFLAGS=-O2 -Wall -g

REFFILE1=$(SRC_PATH)/tests/ffmpeg.regression.ref
REFFILE2=$(SRC_PATH)/tests/rotozoom.regression.ref

SERVER_REFFILE=$(SRC_PATH)/tests/ffserver.regression.ref

LIBAV_REFFILE=$(SRC_PATH)/tests/libav.regression.ref

all fulltest: codectest libavtest test-server
test: codectest libavtest test-server

test-server: vsynth1/0.pgm asynth1.sw
	@$(SRC_PATH)/tests/server-regression.sh $(SERVER_REFFILE) $(SRC_PATH)/tests/test.conf

# fast regression tests for all codecs
codectest mpeg4 mpeg ac3 snow: vsynth1/0.pgm vsynth2/0.pgm asynth1.sw tiny_psnr
	@$(SRC_PATH)/tests/regression.sh $@ $(REFFILE1) vsynth1
	@$(SRC_PATH)/tests/regression.sh $@ $(REFFILE2) vsynth2

# fast regression for libav formats
libavtest: vsynth1/0.pgm asynth1.sw
	@$(SRC_PATH)/tests/regression.sh $@ $(LIBAV_REFFILE) vsynth1

# video generation

vsynth1/0.pgm: videogen
	@mkdir -p vsynth1
	./videogen 'vsynth1/'

vsynth2/0.pgm: rotozoom
	@mkdir -p vsynth2
	./rotozoom 'vsynth2/' $(SRC_PATH)/tests/lena.pnm

videogen: videogen.c
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $<

rotozoom: rotozoom.c
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $<

# audio generation

asynth1.sw: audiogen
	./audiogen $@

audiogen: audiogen.c
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $<

tiny_psnr: tiny_psnr.c
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $<
        
DSPDEPS = $(SRC_PATH)/libavcodec/i386/dsputil_mmx.c \
 $(SRC_PATH)/libavcodec/i386/dsputil_mmx_avg.h \
 $(SRC_PATH)/libavcodec/i386/dsputil_mmx_rnd.h \
 $(SRC_PATH)/libavcodec/i386/fdct_mmx.c \
 $(SRC_PATH)/libavcodec/i386/idct_mmx.c \
 $(SRC_PATH)/libavcodec/i386/motion_est_mmx.c \
 $(SRC_PATH)/libavcodec/i386/simple_idct_mmx.c \
 $(SRC_PATH)/libavcodec/dsputil.c \
 $(SRC_PATH)/libavcodec/dsputil.h \
 $(SRC_PATH)/libavcodec/simple_idct.c

dsptestpic: dsptest.c $(DSPDEPS)
	$(CC) -fPIC -DPIC -O4 -fomit-frame-pointer -DHAVE_AV_CONFIG_H -I.. -I$(SRC_PATH)/libavcodec/i386 -I$(SRC_PATH)/libavcodec/ -o $@ $< -lm
dsptest: dsptest.c $(DSPDEPS)
	$(CC) -O4 -fomit-frame-pointer -DHAVE_AV_CONFIG_H -I.. -I$(SRC_PATH)/libavcodec/i386 -I$(SRC_PATH)/libavcodec/ -o $@ $< -lm

clean:
	rm -rf vsynth1 vsynth2 data
	rm -f asynth1.sw *~ audiogen videogen rotozoom tiny_psnr

=== vlc-0.8.4.debian/debian/changelog ===
vlc (0.8.4.debian-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 26 Nov 2005 19:55:09 +0100

vlc (0.8.4-test2-2) unstable; urgency=low

  * extras/x264/configure:
    + Teach the configure script about the Alpha platform.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 11 Nov 2005 18:49:31 +0100

vlc (0.8.4-test2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Build-depend on a newer version of gnutls (Closes: #335774).
    + Replaced occurrences of "wxwindows" with "wxwidgets" (Closes: #330141).
  * debian/rules:
    + Use dh_buildinfo because of all the static libraries we use.
  * Upstream fixed the wx code so that it builds with newer versions of the
    library (Closes: #332282, #332773).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 11 Nov 2005 10:41:35 +0100

vlc (0.8.4-svn20050920-3) unstable; urgency=low

  * configure.ac:
    + Fixed a bug in the gnomevfs plugin configuration.
  * debian/rules:
    + Explicitly disable the GnomeVFS plugin (Closes: #329317).
  * debian/control:
    + Buuild-depend on yasm on amd64.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 21 Sep 2005 11:36:24 +0200

vlc (0.8.4-svn20050920-2) unstable; urgency=low

  * configure:
    + Fixed the powerpc build with gcc-4.x.
  * extras/x264/configure:
    + Added missing Debian architectures to the configure script.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 20 Sep 2005 17:46:35 +0200

vlc (0.8.4-svn20050920-1) unstable; urgency=low

  * New SVN snapshot.
  * configure.ac:
    + Upstream fixed the AltiVec build on PPC.
  * debian/control:
    + Build-depend on a newer version of libavcodec. mp2v and mp1v encoders
      work again (Closes: #324840).
    + Build-depend on gcc-snapshot on i386 and amd64, because currently only
      that version of gcc properly builds some of the MMX modules.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 20 Sep 2005 13:43:41 +0200

vlc (0.8.4-svn20050823-2) unstable; urgency=low

  * debian/control:
    + Build-depend on libflac-dev (>= 1.1.2-3) because of the soname
      change (Closes: #325948).
  * debian/copyright:
    + Fixed the FSF address.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  1 Sep 2005 12:36:10 +0200

vlc (0.8.4-svn20050823-1) unstable; urgency=low

  * New SVN snapshot.
  * debian/control:
    + Build-depend on libsmbclient-dev.
    + Build-depend on libwxgtk2.6-dev (Closes: #285373), which means the
      interface now works with non-UTF8 locales (Closes: #308770, #322665).
    + Build-depend on a newer version of libavcodec.
  * debian/rules:
    + Activated SMB client support.
    + Install desktop files in usr/share/applications instead of
      usr/share/gnome/apps/Multimedia.
  * debian/patches/00list:
    + 20_no-wx-updates.dpatch: disabled the update check.
    + 20_interfaces.dpatch: disabled deprecated patch.
  * configure.ac:
    + Fixes powerpc build.
  * include/network.h src/misc/net.c:
    + Fixes HTTP input (Closes: #322757).
    + Fixes URL encoding in the RTSP module (Closes: #323813).
  * modules/gui/skins2 modules/gui/wxwidgets:
    + Fixes a compilation issue on 64-bit architectures (Closes: #324031).
  * modules/visualization/xosd.c:
    + Fixes libxosd initialisation (Closes: #324039).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 22 Aug 2005 14:43:48 +0200

vlc (0.8.4-svn20050810-2) unstable; urgency=low

  * debian/control:
    + Build-depend on libarts1-dev (>= 1.4.2-1).
    + Build-depend on a newer version of libavcodec.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 16 Aug 2005 17:36:21 +0200

vlc (0.8.4-svn20050810-1) unstable; urgency=low

  * New SVN snapshot.
  * Rebuilt against libaa1 and new wxWin and SDL packages to complete the
    aalib transition (Closes: #320874) and make the packages installable again
    (Closes: #319292, #319598, #321461, #322166, #317380).
  * debian/rules:
    + Use DEB_BUILD_ARCH_CPU instead of DEB_BUILD_GNU_CPU.
  * debian/vlc.desktop:
    + Added desktop file, thanks to Mantas Kriauciunas (Closes: #290612).
  * debian/control:
    + Removed unused dummy packages (Closes: #321988, #322003, #322013).
    + Build-depend on libmatroska-dev (>= 0.7.7).
    + Build-depend on libwxgtk2.4-dev (>= 2.4.4).
    + Build-depend on libdvbpsi4-dev instead of libdvbpsi3-dev.
    * Build-depend on libsdl1.2-dev (>= 1.2.7+1.2.8cvs20041007-5.3).
    + Build-depend on a newer version of libmatroska-dev and mozilla-dev
      because of the C++ transition.
    + Build-depend on libsvga1-dev instead of svgalib1-dev.
  * This snapshot no longer uses tune=opteron on amd64 (Closes: #316161).
  * The SVN version adds support for Freebox users (Closes: #317035).
  * Various gcc-4.x FTBFS were fixed upstream (Closes: #317055).
  * mozilla/support/npunix.c: fixed undeclared NPP_GetJavaClass
    (Closes: #317067).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 10 Aug 2005 16:18:37 +0200

vlc (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * This version fixes the random playlist parsing (Closes: #308375), encodes
    non-ASCII characters in RTSP requests (Closes: #279735) and fixes an issue
    with large files (Closes: #306110).
  * debian/control:
    + Set policy to 3.6.2.1.
    + Build-depend on libpng12-dev, xlibmesa-gl-dev.
    + Build-depend on a more recent ffmpeg library set, to fix nasty visual
      artifacts with post-processing (Closes: #300220).
    + mozilla-plugin-vlc recommends mozilla-firefox in addition to
      mozilla-browser (Closes: #308723).
    + Now that sarge is out, removed legacy packages that disappeared in woody.
  * debian/rules:
    + Activated PNG output support.
    + Activated GLX output support.
  * The NEWS file documents the changed behaviour for SAP (Closes: #303262).
  * Minor typo fixed in the manpage (Closes: #300339).


=== vlc-0.8.4.debian/debian/control ===
Source: vlc
Section: graphics
Priority: optional
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 4.0), dh-buildinfo, dpatch, gettext, libx11-dev, libxext-dev, libxt-dev, libxv-dev, xlibs-static-pic, libggi2-dev, libglide2-dev [i386], libesd0-dev, libaudiofile-dev, libsdl1.2-dev (>= 1.2.7+1.2.8cvs20041007-5.3), libasound2-dev (>= 0.9.0beta10a), libarts1-dev (>= 1.4.2-1), libmad0-dev, liblircclient-dev, liba52-0.7.4-dev, libaa1-dev, libdvbpsi4-dev, mozilla-dev (>= 2:1.7.10-1), libidl0, libglib2.0-0, libxosd-dev (>= 2.2.4-1.3), libsvga1-dev [i386], libogg-dev, libvorbis-dev, libwxgtk2.6-dev, libdvdread3-dev, libflac-dev (>= 1.1.2-3), libimlib2-dev, libmatroska-dev (>= 0.7.7), libfreetype6-dev, linux-kernel-headers (>= 2.5.999-test7-bk-7), libcaca-dev (>= 0.9), liblivemedia-dev (>= 2004.11.11a-1), libmpeg2-4-dev, zlib1g-dev, libdts-dev, libfribidi-dev, libcdio-dev, libxml2-dev, libid3tag0-dev, libtheora-dev, nasm, libmodplug-dev, libhal-dev, libtar-dev, libdvdnav-dev, libgnutls-dev (>= 1.2.8), libavcodec-dev (>= 0.cvs20050918-2), libavformat-dev (>= 0.cvs20050918-2), libpostproc-dev (>= 0.cvs20050918-2), libncurses5-dev, libpng12-dev, xlibmesa-gl-dev, libsmbclient-dev, gcc-snapshot [i386 amd64], yasm [amd64]
Standards-Version: 3.6.2.1

Package: vlc
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wxvlc, ttf-freefont
Recommends: ttf-thryomanes, videolan-doc
Suggests: vlc-plugin-alsa, mozilla-plugin-vlc
Replaces: vlc-plugin-dvb (<< 0.5.2-2), vlc-plugin-xosd (<< 0.5.2-2), vlc-plugin-dv (<< 0.5.2-2), vlc-plugin-mad (<< 0.5.2-2), vlc-mad (<< 0.5.0), vlc-plugin-a52 (<< 0.5.2-2), vlc-plugin-ogg (<< 0.5.2-2), vlc-plugin-lirc (<< 0.5.2-2), vlc-lirc (<< 0.5.0), vlc-plugin-aa (<< 0.5.2-2), vlc-aa (<< 0.5.0)
Conflicts: vlc-plugin-dvb (<< 0.5.2-2), vlc-plugin-xosd (<< 0.5.2-2), vlc-plugin-dv (<< 0.5.2-2), vlc-plugin-mad (<< 0.5.2-2), vlc-mad (<< 0.5.0), vlc-plugin-a52 (<< 0.5.2-2), vlc-plugin-ogg (<< 0.5.2-2), vlc-plugin-lirc (<< 0.5.2-2), vlc-lirc (<< 0.5.0), vlc-plugin-aa (<< 0.5.2-2), vlc-aa (<< 0.5.0)
Provides: mp3-decoder
Description: multimedia player for all audio and video formats
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.
 .
 VLC can also be used as a streaming server that duplicates the stream it
 reads and multicasts them through the network to other clients, or serves
 them through HTTP.
 .
 VLC has support for on-the-fly transcoding of audio and video formats, either
 for broadcasting purposes or for movie format transformations. Support for
 most output methods is provided by this package, but features can be added
 by installing additional audio plugins (vlc-plugin-esd, vlc-plugin-alsa,
 vlc-plugin-arts) or video plugins (vlc-plugin-sdl, vlc-plugin-ggi,
 vlc-plugin-glide, vlc-plugin-svgalib). There is also a web browser plugin
 in the mozilla-plugin-vlc package.

Package: libvlc0-dev
Section: libdevel
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: development files for VLC
 This package contains headers and a static library required to build plugins
 for VLC, or standalone applications that use VLC features.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: gnome-vlc
Section: oldlibs
Architecture: any
Depends: wxvlc, vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-gnome (<< 0.5.0)
Replaces: vlc-gnome (<< 0.5.0)
Description: GNOME frontend for VLC (dummy legacy package)
 The gnome-vlc package has been discontinued. You should use the wxvlc
 package instead.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: gvlc
Section: oldlibs
Architecture: any
Depends: wxvlc, vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-gnome (<= 0.2.63-2), vlc-gtk (<< 0.5.0)
Replaces: vlc-gnome (<= 0.2.63-2), vlc-gtk (<< 0.5.0)
Description: GTK+ frontend for VLC (dummy legacy package)
 The gvlc package has been discontinued. You should use the wxvlc
 package instead.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: vlc-plugin-esd
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-esd (<< 0.5.0)
Replaces: vlc-esd (<< 0.5.0)
Description: Esound audio output plugin for VLC
 This plugin adds support for the Enlightened Sound Daemon to the VLC
 media player. To activate it, use the `--aout esd' flag or select the
 `esd' audio output plugin from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-alsa
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-alsa (<< 0.5.0)
Replaces: vlc-alsa (<< 0.5.0)
Description: ALSA audio output plugin for VLC
 This plugin adds support for the Advanced Linux Sound Architecture to
 the VLC media player. To activate it, use the `--aout alsa' flag or
 select the `alsa' audio output plugin from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-sdl
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-sdl (<< 0.5.0)
Replaces: vlc-sdl (<< 0.5.0)
Description: SDL video and audio output plugin for VLC
 This plugin adds support for the Simple DirectMedia Layer library to
 the VLC media player. To activate it, use the `--vout sdl' or
 `--aout sdl' flags or select the `sdl' video or audio output plugin
 from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-ggi
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-ggi (<< 0.5.0)
Replaces: vlc-ggi (<< 0.5.0)
Description: GGI video output plugin for VLC
 This is a GGI plugin for the VLC media player.  To activate it, use
 the `--vout ggi' flag or select the `ggi' video output plugin from the
 preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: vlc-plugin-glide
Architecture: i386
Depends: vlc (= ${Source-Version}), libglide2
Conflicts: vlc-glide (<< 0.5.0)
Replaces: vlc-glide (<< 0.5.0)
Description: Glide video output plugin for VLC
 This is a Glide (3dfx) plugin for the VLC media player. To activate
 it, use the `--vout glide' flag or select the `glide' video output
 plugin from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: qvlc
Section: oldlibs
Architecture: any
Depends: wxvlc, vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-qt (<< 0.5.0)
Replaces: vlc-qt (<< 0.5.0)
Description: Qt frontend for VLC (dummy legacy package)
 The qvlc package has been discontinued. You should use the wxvlc
 package instead.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: vlc-plugin-arts
Architecture: any
Depends: vlc (= ${Source-Version}), libartsc0, ${misc:Depends}
Conflicts: vlc-arts (<< 0.5.0)
Replaces: vlc-arts (<< 0.5.0)
Description: aRts audio output plugin for VLC
 This plugin adds support for the aRts Sound System to the VLC media
 player. To activate it, use the `--aout arts' flag or select the `arts'
 audio output plugin from the preferences menu.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: mozilla-plugin-vlc
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: mozilla-browser | mozilla-firefox
Description: multimedia plugin for Mozilla based on VLC
 This plugin adds support for MPEG, MPEG2, DVD, DivX, Ogg/Vorbis and many
 more formats to your Mozilla browser. The decoding process is done by VLC
 and the output window is embedded in a webpage or directly in the browser
 window. There is also support for fullscreen display and javascript control.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: kvlc
Section: oldlibs
Architecture: any
Depends: wxvlc, vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: vlc-plugin-arts
Conflicts: vlc-kde (<< 0.5.0)
Replaces: vlc-kde (<< 0.5.0)
Description: KDE frontend for VLC (dummy legacy package)
 The kvlc package has been discontinued. You should use the wxvlc
 package instead.
 .
 This package is only useful to ensure clean upgrades from old Debian
 releases and can be safely removed.

Package: vlc-plugin-svgalib
Architecture: i386
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: SVGAlib video output plugin for VLC
 This plugin adds support for SVGAlib to the VLC media player. To
 activate it, use the `--vout svgalib' flag or select the `svgalib' video
 output plugin from the preferences menu. Note that you will need root
 permissions to use SVGAlib.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

Package: wxvlc
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: wxWidgets frontend for VLC
 This plugin adds a wxWidgets interface to the VLC media player. To activate
 the wxWidgets GUI, use the `--intf wx' flag or run the `wxvlc' program.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
 DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
 streams from various network sources.

=== vlc-0.8.4.debian/debian/rules ===
#!/usr/bin/make -f
# debian/rules for the VLC media player - uses debhelper.
# $Id: rules 12681 2005-09-25 23:47:23Z sam $
# based on Joey Hess's one.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/dpatch/dpatch.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
confflags = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) 

#
# Compilation options
#
vlc_confflags = --enable-release --prefix=/usr
vlc_confflags += \
	--disable-gnome \
	--disable-gtk \
	--disable-familiar \
	--disable-fb \
	--enable-ggi \
	--enable-sdl \
	--enable-esd \
	--disable-qt \
	--enable-mad \
	--enable-arts \
	--enable-alsa \
	--enable-lirc \
	--enable-a52 \
	--enable-aa \
	--enable-dvbpsi \
	--enable-xosd \
	--enable-mozilla \
	--disable-kde \
	--enable-mp4 \
	--enable-dvb \
	--enable-dv \
	--disable-satellite \
	--enable-ogg \
	--enable-vorbis \
	--enable-wxwidgets \
	--with-wx-config=wx-config \
	--disable-slp \
	--enable-flac \
	--disable-skins \
	--disable-basic-skins \
	--enable-skins2 \
	--enable-freetype \
	--enable-mkv \
	--enable-v4l \
	--enable-pvr \
	--disable-speex \
	--enable-caca \
	--enable-livedotcom \
	--enable-libmpeg2 \
	--enable-dts \
	--enable-fribidi \
	--enable-cdio \
	--enable-mod \
	--enable-theora \
	--enable-modplug \
	--enable-dvdnav \
	--enable-gnutls \
	--enable-ffmpeg \
	--enable-ncurses \
	--enable-smb \
	--disable-gnomevfs \
	$(NULL)

# These ones are currently shipped with VLC
vlc_confflags += --enable-faad --with-faad-tree=extras/faad2
vlc_confflags += --enable-x264 --with-x264-tree=extras/x264

# Glide and svgalib are only for x86
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU),i386)
vlc_confflags += --enable-glide
vlc_confflags += --enable-svgalib
endif

# We need this hack for i386 and amd64
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU),i386)
CC = $(shell pwd)/debian/gcc-snapshot
export CC
endif
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU),amd64)
CC = $(shell pwd)/debian/gcc-snapshot
export CC
endif

# Remove --without-dvdcss in non-totalitarian countries
vlc_confflags += --enable-dvd --without-dvdcss

# A few shortcuts
VIDDIR = usr/share/vlc
PIXDIR = usr/share/pixmaps
APPDIR = usr/share/applications


#
# Build rules
#

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Touch stuff
	touch configure.ac
	touch aclocal.m4
	touch configure
	touch config.h.in
	touch `find . -name Makefile.in`

	# Check that we have an x264 tree in here (can be a symlink)
	test -d extras/x264
	cd extras/x264 \
	 && ./configure $(confflags) --extra-cflags='$$(ECFLAGS)' \
	                             --extra-asflags='$$(EASFLAGS)' \
	 && $(MAKE)

	# Check that we have an faad2 tree in here (can be a symlink)
	test -d extras/faad2
	cd extras/faad2 \
	 && touch `find . -name configure.in` \
	 && touch `find . -name aclocal.m4` \
	 && touch `find . -name configure` \
	 && touch `find . -name config.h.in` \
	 && touch `find . -name Makefile.in` \
	 && ./configure $(confflags) --disable-shared \
	 && cd libfaad \
	 && $(MAKE)

	# Configure VLC
	./configure --mandir=$${prefix}/share/man \
	  --infodir=$${prefix}/share/info $(confflags) $(vlc_confflags)

	touch configure-stamp

build: build-stamp
build-stamp: patch configure-stamp
	dh_testdir

	# Build only VLC, with the non-PIC libs
	$(MAKE) include/vlc_symbols.h
	cd modules && AM_MAKEFLAGS='plugin=no pic=no' $(MAKE)
	$(MAKE) vlc

	# Hackety hackety hack
	cd extras/x264 && $(MAKE) clean && $(MAKE) ECFLAGS=-fPIC EASFLAGS=-D__PIC__

	# HACKETY HACKETY HACK
	cd extras/faad2/libfaad && $(MAKE) clean && $(MAKE) AM_CFLAGS=-fPIC

	# Build all the rest, with the PIC libs
	AM_MAKEFLAGS='builtin=no' $(MAKE)

	# Minor test, to see which plugins were built and whether they load
	# properly.
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	./vlc --reset-plugins-cache -l -I rc vlc:quit
endif

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp

	# Check that we have an x264 tree in here (can be a symlink)
	test -d extras/x264
	-cd extras/x264 && $(MAKE) distclean
	# Check that we have an faad2 tree in here (can be a symlink)
	test -d extras/faad2
	-cd extras/faad2 && $(MAKE) distclean

	# Clean zsh completion stuff
	rm -f extras/zsh

	# Removed ugly cruft
	rm -f src/misc/modules_builtin.h
	rm -f mozilla/vlcintf.xpt mozilla/vlcintf.h

	# Remove spurious autotools stuff
	rm -f config.log confdefs.h

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	DESTDIR=`pwd`/debian/vlc/ $(MAKE) install prefix=/usr

	# Package: vlc
	mv debian/vlc/$(VIDDIR)/vlc48x48.png debian/vlc/$(PIXDIR)/vlc.png
	mv debian/vlc/$(VIDDIR)/vlc32x32.xpm debian/vlc/$(VIDDIR)/vlc.xpm
	cp debian/gvlc.desktop debian/gvlc/$(APPDIR)
	cp debian/gnome-vlc.desktop debian/gnome-vlc/$(APPDIR)

	#cp doc/fortunes.txt debian/vlc/usr/share/games/fortunes/vlc
	#strfile doc/fortunes.txt debian/vlc/usr/share/games/fortunes/vlc.dat

	rm -Rf debian/vlc/$(VIDDIR)/skins
	ln -s vlc.1.gz debian/vlc/usr/share/man/man1/svlc.1.gz

	# Package: libvlc0-dev
	mv debian/vlc/usr/bin/vlc-config debian/libvlc0-dev/usr/bin/
	mv debian/vlc/usr/lib/*.a debian/libvlc0-dev/usr/lib/
	mv debian/vlc/usr/lib/vlc/*.a debian/libvlc0-dev/usr/lib/vlc/
	mv debian/vlc/usr/include/vlc/*.h debian/libvlc0-dev/usr/include/vlc/
	rm -Rf debian/vlc/usr/include
	ln -s vlc debian/libvlc0-dev/usr/share/doc/libvlc0-dev

	# Package: gnome-vlc
	#mv debian/vlc/usr/bin/gnome-vlc debian/gnome-vlc/usr/bin/
	ln -s vlc debian/gnome-vlc/usr/share/doc/gnome-vlc
	#mv debian/vlc/usr/lib/vlc/misc/libgnome_main_plugin.so \
	#  debian/gnome-vlc/usr/lib/vlc/gui/
	#mv debian/vlc/usr/lib/vlc/gui/libgnome_plugin.so \
	#  debian/gnome-vlc/usr/lib/vlc/gui/
	#ln -s vlc.1.gz debian/gnome-vlc/usr/share/man/man1/gnome-vlc.1.gz
	#mv debian/vlc/$(VIDDIR)/gnome-vlc32x32.xpm debian/gnome-vlc/$(VIDDIR)/gnome-vlc.xpm
	#mv debian/vlc/$(VIDDIR)/gnome-vlc48x48.png debian/gnome-vlc/$(PIXDIR)/gnome-vlc.png

	# Package: gvlc
	#mv debian/vlc/usr/bin/gvlc debian/gvlc/usr/bin/
	ln -s vlc debian/gvlc/usr/share/doc/gvlc
	#mv debian/vlc/usr/lib/vlc/misc/libgtk_main_plugin.so \
	#  debian/gvlc/usr/lib/vlc/gui/
	#mv debian/vlc/usr/lib/vlc/gui/libgtk_plugin.so \
	#  debian/gvlc/usr/lib/vlc/gui/
	#mv debian/vlc/usr/lib/vlc/gui/libfamiliar_plugin.so \
	#  debian/gvlc/usr/lib/vlc/gui/
	#ln -s vlc.1.gz debian/gvlc/usr/share/man/man1/gvlc.1.gz
	#mv debian/vlc/$(VIDDIR)/gvlc32x32.xpm debian/gvlc/$(VIDDIR)/gvlc.xpm
	#mv debian/vlc/$(VIDDIR)/gvlc48x48.png debian/gvlc/$(PIXDIR)/gvlc.png

	# Package: vlc-plugin-esd
	ln -s vlc debian/vlc-plugin-esd/usr/share/doc/vlc-plugin-esd
	mv debian/vlc/usr/lib/vlc/audio_output/libesd_plugin.so \
	  debian/vlc-plugin-esd/usr/lib/vlc/audio_output/

	# Package: vlc-plugin-alsa
	ln -s vlc debian/vlc-plugin-alsa/usr/share/doc/vlc-plugin-alsa
	mv debian/vlc/usr/lib/vlc/audio_output/libalsa_plugin.so \
	  debian/vlc-plugin-alsa/usr/lib/vlc/audio_output/

	# Package: vlc-plugin-sdl
	ln -s vlc debian/vlc-plugin-sdl/usr/share/doc/vlc-plugin-sdl
	mv debian/vlc/usr/lib/vlc/audio_output/libaout_sdl_plugin.so \
	  debian/vlc-plugin-sdl/usr/lib/vlc/audio_output/
	mv debian/vlc/usr/lib/vlc/video_output/libvout_sdl_plugin.so \
	  debian/vlc-plugin-sdl/usr/lib/vlc/video_output/

	# Package: vlc-plugin-ggi
	ln -s vlc debian/vlc-plugin-ggi/usr/share/doc/vlc-plugin-ggi
	mv debian/vlc/usr/lib/vlc/video_output/libggi_plugin.so \
	  debian/vlc-plugin-ggi/usr/lib/vlc/video_output/

	# Package: vlc-plugin-glide
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU),i386)
	ln -s vlc debian/vlc-plugin-glide/usr/share/doc/vlc-plugin-glide
	mv debian/vlc/usr/lib/vlc/video_output/libglide_plugin.so \
	  debian/vlc-plugin-glide/usr/lib/vlc/video_output/
endif
